Bug 234845 - Nokia E60 drive mode marked umountable instead of ejectable
Nokia E60 drive mode marked umountable instead of ejectable
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-02 11:30 EDT by Patrick C. F. Ernzer
Modified: 2013-03-05 22:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 11:14:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal with E70 connected (128.41 KB, text/plain)
2007-04-04 07:35 EDT, Patrick C. F. Ernzer
no flags Details
syslog output under Fedora 8 (2.69 KB, text/plain)
2008-04-04 06:41 EDT, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2007-04-02 11:30:32 EDT
Description of problem:
If one wants to remove a Nokia E60 that is being accessed as drive in nautilus,
one gets presented with 

Version-Release number of selected component (if applicable):
nautilus-2.16.2-7.fc6
hal-0.5.8.1-6.fc6

How reproducible:
always

Steps to Reproduce:
1. connect phone with USB data cable
2. select 'Data transfer' on phone
3. see device mount in nautilus
4. right-click device
  
Actual results:
entry 'Unmount Volume'

Expected results:
entry 'Eject' or automagically issuing an eject after umount.

Additional info:
issuing a manual 'eject /dev/sdb' makes the phone display 'Data cabe can now be
removed' as expected. Without the eject the user gets a warning message on the
phone about not disconnecting the cable until told to do so.

not sure if nautilus of hal is the right component for this
Comment 2 Alexander Larsson 2007-04-03 05:29:42 EDT
david, this is your thing.
Comment 3 David Zeuthen 2007-04-03 17:40:59 EDT
Patrick, you should be able to write a hal fdi file that merges

 storage.requires_eject = true

to the appropriate device file. It would look like this

------8<------
<?xml version="1.0" encoding="UTF-8"?>
<deviceinfo version="0.2">
  <device>
    <match key="storage.bus" string="usb">
      <match key="@storage.physical_device:usb.vendor_id" int="0x0421">
        <match key="@storage.physical_device:usb.product_id" int="0x0434">
          <merge key="storage.requires_eject" type="bool">true</merge>
        </match>
      </match>    
    </match>    
  </device>
</deviceinfo>
------8<------

and you would put this in /etc/hal/fdi/information/10-nokia-e60.fdi. Then replug
your device and things should just work. Can you test this please? Thanks.

See also

http://people.freedesktop.org/~david/hal-spec/hal-spec.html#device-properties-storage

If you have such a file and can verify that it works, I'd be happy to include
this in hal-info and it can be part of Fedora 7.

Switching to 'devel' since we're not going to update HAL in FC6 for this.
Comment 4 Patrick C. F. Ernzer 2007-04-04 07:27:29 EDT
In response to Comment #3
yes, that works as follows:
Nautilus still says 'Unmount' but I do get an eject issued as the phones gives
the expected 'Data cable can be removed'. So this is good for inclusion.

On a side-note; I also tried this with a Nokia E70, seems it has a different
identifier as I did not get the 'Data cable can be removed' after unmount
through Nautilus. An eject /dev/sdb after umount made it appear.

lshal with E70 attached will follow
Comment 5 Patrick C. F. Ernzer 2007-04-04 07:35:23 EDT
Created attachment 151647 [details]
lshal with E70 connected

as expected creating the following makes the E70 work:
# cat /etc/hal/fdi/information/11-nokia-e70.fdi 
<?xml version="1.0" encoding="UTF-8"?>
<deviceinfo version="0.2">
  <device>
    <match key="storage.bus" string="usb">
      <match key="@storage.physical_device:usb.vendor_id" int="0x0421">
	<match key="@storage.physical_device:usb.product_id" int="0x0433">
	  <merge key="storage.requires_eject" type="bool">true</merge>
	</match>
      </match>	  
    </match>
  </device>
Comment 6 Patrick C. F. Ernzer 2007-04-04 07:40:58 EDT
Addition to Comment #4:
I spoke too fast, there is a glitch.
The phone gets it's eject at the same time we display the 'Data needs to be
written to device' pop-up. By the time we display 'Device is safe to remove' the
phone has gone back into displaying data transfer mode on the screen.

In syslog I get:
Apr  4 14:36:24 bofferding-pcfe hald: unmounted /dev/sdb from '/media/1G4E60' on
behalf of uid 500
  (this is me unmounting through Nautilus)
Apr  4 14:36:50 bofferding-pcfe kernel: usb 3-1: reset full speed USB device
using uhci_hcd and address 37
Apr  4 14:36:56 bofferding-pcfe kernel: usb 3-1: reset full speed USB device
using uhci_hcd and address 37
  (this is at about the time the phone starts displaying the message again.)

Am I correct in assuming that there is something dodgy with the phone? After all
if storage.requires_eject was the problem I think we would have this issue
(ejecting before flush is done) with any ejectable storage
Comment 7 Bug Zapper 2008-04-03 19:54:24 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Patrick C. F. Ernzer 2008-04-04 06:41:17 EDT
the described problem (device umounted but not ejected, doing manual eject after
umount helps) remains in Fedora 8 with

hal-0.5.10-1.fc8.2
nautilus-2.20.0-9.fc8

syslog output will be attached
Comment 9 Patrick C. F. Ernzer 2008-04-04 06:41:52 EDT
Created attachment 300407 [details]
syslog output under Fedora 8
Comment 10 Patrick C. F. Ernzer 2008-04-04 10:53:31 EDT
oh, NEEDINFO did not toggle, fixing.
Comment 11 Bug Zapper 2008-11-26 02:13:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Patrick C. F. Ernzer 2008-11-26 11:14:26 EST
closing F10 has an eject entry.
(the fact that the 'data needs to be written' and the phone displaying 'can disconnect' are not in sync should go into a new bug.

Note You need to log in before you can comment on or make changes to this bug.